Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
pawuta

Nhờ sửa lisp

Các bài được khuyến nghị

Nhờ anh em sửa giúp lisp sau bằng cách kết hợp 2 thao tác vào lisp hoặc chọn các đối tượng trước rồi mới đánh lệnh đổi màu các đối tượng đó hoặc đánh lệnh trước rồi chọn các đối tượng cần đổi màu. Và lưu lại màu chọn cho các lần thao tác sau. Thansk!

(defun c:doimau (/ m ss)
(command "undo" "be")
  (princ "\nChon doi tuong muon doi mau:")
  (setq ss (ssget))
  (princ "\nChon mau muon doi :")(setq m (acad_colordlg 7))
(command "change" ss "" "P" "c" m "")
(command "undo" "end")
(setvar "MODEMACRO" "**KTS_DUY**")
(princ)
)
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thế này cho gọn:

 

(defun c:doimau (/ m)
 (princ "\nChon mau muon doi: ")
 (princ)
 (setq m (acad_colordlg 7))
 (command "change" (ssget) "" "P" "c" m "")
 (princ))
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Thế này cho gọn:

(defun c:doimau (/ m)
 (princ "\nChon mau muon doi: ")
 (princ)
 (setq m (acad_colordlg 7))
 (command "change" (ssget) "" "P" "c" m "")
 (princ))

Thanks nhiều nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×